unsigned char input,pressed_old,pressed,movido;
unsigned char input2,pressed2;
#define BOTON_A 0x10
#define BOTON_B 0x20
#define BOTON_D 0x80
#define BOTON_I 0x40
#define BOTON_F 0x01

void clear_inputs(void)
{
	pressed_old=pressed;
	pressed  = 0xFF;	
	pressed2 = 0xFF;
}

void read_input(void)
{
	input = (PINA & 0xF0) | (PINB & 1);
	pressed &=input;
	if (!kbhit()) return;
	input2=getc();
	switch (input2)
	{
		case 'A': pressed2 &= ~BOTON_A; break;
		case 'B': pressed2 &= ~BOTON_B; break;
		case 'D': pressed2 &= ~BOTON_D; break;
		case 'I': pressed2 &= ~BOTON_I; break;
		case 'F': pressed2 &= ~BOTON_F; break;
	}
}

void delay_inputs(int time)
{
	char i;
	while(time--)
	{
		for(i=0;i<50;i++)
		{
			read_input();
			_delay_us(20);
		}
	}
}

/*
void delay_inputs_down(int time)
{
	while(time--)
	{
		read_input();
		if ((pressed & BOTON_B)) _delay_ms(3);
		_delay_ms(1);
	}
}*/
