char score1[4]={8,0,3,9}, score2[4]={0,0,0,0};

const prog_char tabla_num[10][5]={
    { 0x3E, 0x51, 0x49, 0x45, 0x3E },   // 0
    { 0x00, 0x42, 0x7F, 0x40, 0x00 },   // 1
    { 0x42, 0x61, 0x51, 0x49, 0x46 },   // 2
    { 0x21, 0x41, 0x45, 0x4B, 0x31 },   // 3
    { 0x18, 0x14, 0x12, 0x7F, 0x10 },   // 4
    { 0x27, 0x45, 0x45, 0x45, 0x39 },   // 5
    { 0x3C, 0x4A, 0x49, 0x49, 0x30 },   // 6
    { 0x01, 0x71, 0x09, 0x05, 0x03 },   // 7
    { 0x36, 0x49, 0x49, 0x49, 0x36 },   // 8
    { 0x06, 0x49, 0x49, 0x29, 0x1E }};  // 9

#define score_1_x 84
#define score_1_y 2
void print_score_1(void)
{
	int i,j,k;
	char dato;
	setArea(score_1_x,score_1_x+48-1,score_1_y,score_1_y+14-1);
	for(i=0;i<4;i++)
	{
		for(j=0;j<5;j++)
		{
			dato=pgm_read_byte(&tabla_num[score1[i]][j]);
			for(k=0;k<7;k++)
			{
				sendData((dato & 1)? 0xEE:0x49);
				sendData((dato & 1)? 0xEE:0x49);
				dato>>=1;
			}
			dato=pgm_read_byte(&tabla_num[score1[i]][j]);
			for(k=0;k<7;k++)
			{
				sendData((dato & 1)? 0xEE:0x49);
				sendData((dato & 1)? 0xEE:0x49);
				dato>>=1;
			}
		}
		for (k=0;k<28;k++)
		sendData(0x49);
	}
	
}

void inc_score_1(void)
{
	for (char i=4;i>0;i--)
	{	if (score1[i-1]++<9) break;
		score1[i-1]=0;
	}
	print_score_1();
}

void set_score(char cual)
{
	int i,j, scori;
	
	for(i=0;i<4;i++)
	{
		scori=(cual==1)? score1[i]:score2[i];
		if(scori>eeprom_read_byte(i))
		{
			for(j=0;j<4;j++)
			{
				scori=(cual==1)? score1[j]:score2[j];
				eeprom_write_byte(j,scori);
			}
			return;
		}
		if(scori<eeprom_read_byte(i))
			return;//no graba, es menor al actual campeon...
	}
}
void set_high_score(void)
{
	//revisa los tres scores el mejor se guarda...
	int i;
	for(i=0;i<4;i++)
	{
		if (score1[i] > score2[i])
		{
			set_score(1);
			return;
		}
		if (score2[i] > score1[i])
		{
			set_score(2);
			return;
		}
	}
	set_score(1); // si fueran iguales...
}


void clear_score_1(void)
{
	for(char i=0;i<4;i++)
	score1[i]=0;
}

void clear_score_2(void)
{
	for(char i=0;i<4;i++)
	score2[i]=0;
}

#define score_2_x 84
#define score_2_y 20
void print_score_2(void)
{
	int i,j,k;
	char dato;
	setArea(score_2_x,score_2_x+48-1,score_2_y,score_2_y+14-1);
	for(i=0;i<4;i++)
	{
		for(j=0;j<5;j++)
		{
			dato=pgm_read_byte(&tabla_num[score2[i]][j]);
			for(k=0;k<7;k++)
			{
				sendData((dato & 1)? 0xEE:0x49);
				sendData((dato & 1)? 0xEE:0x49);
				dato>>=1;
			}
			dato=pgm_read_byte(&tabla_num[score2[i]][j]);
			for(k=0;k<7;k++)
			{
				sendData((dato & 1)? 0xEE:0x49);
				sendData((dato & 1)? 0xEE:0x49);
				dato>>=1;
			}
		}
		for (k=0;k<28;k++)
		sendData(0x49);
	}
}

#define score_2_xx 2
#define score_2_yy 116
void print_score_2_bajo(void)
{
	int i,j,k;
	char dato;
	setArea(score_2_xx,score_2_xx+48-1,score_2_yy,score_2_yy+14-1);
	for(i=4;i>0;i--)
	{
		for(j=5;j>0;j--)
		{
			dato=pgm_read_byte(&tabla_num[score2[i-1]][j-1]);
			for(k=0;k<7;k++)
			{
				sendData((dato & 64)? 0xEE:0x49);
				sendData((dato & 64)? 0xEE:0x49);
				dato<<=1;
			}
			dato=pgm_read_byte(&tabla_num[score2[i-1]][j-1]);
			for(k=0;k<7;k++)
			{
				sendData((dato & 64)? 0xEE:0x49);
				sendData((dato & 64)? 0xEE:0x49);
				dato<<=1;
			}
		}
		for (k=0;k<28;k++)
		sendData(0x49);
	}
}

void inc_score_2(void)
{
	for (char i=4;i>0;i--)
	{	if (score2[i-1]++<9) break;
		score2[i-1]=0;
	}
	print_score_2();
}

void inc_score_2_bajo(void)
{
	for (char i=4;i>0;i--)
	{	if (score2[i-1]++<9) break;
		score2[i-1]=0;
	}
	print_score_2_bajo();
}

#define score_H_x 84
#define score_H_y 116
void print_high_score(void)
{
	int i,j,k;
	char dato;
	setArea(score_H_x,score_H_x+48-1,score_H_y,score_H_y+14-1);
	for(i=0;i<4;i++)
	{
		for(j=0;j<5;j++)
		{
			dato=pgm_read_byte(&tabla_num[eeprom_read_byte(i)][j]);
			for(k=0;k<7;k++)
			{
				sendData((dato & 1)? 0xEE:0x49);
				sendData((dato & 1)? 0xEE:0x49);
				dato>>=1;
			}
			dato=pgm_read_byte(&tabla_num[eeprom_read_byte(i)][j]);
			for(k=0;k<7;k++)
			{
				sendData((dato & 1)? 0xEE:0x49);
				sendData((dato & 1)? 0xEE:0x49);
				dato>>=1;
			}
		}
		for (k=0;k<28;k++)
		sendData(0x49);
	}
	
}
