#include <music.h>

void game_over(void)
{
	play_bgm(sc_end,110);
	putc('P');
	waitms(1000);
	clearLCD(0x49);
	print_score_1();
	print_score_2();
	set_high_score();
	print_high_score();
	while(1);
}

#define draw_Sprite(y,x,color) drawRectangle(((x)<<3)+2,((16-y)<<3)+2,8,8,color);

unsigned char Game_area[32][10];

signed char next,actual=0;
signed char bloque_actual[4][2];
char bloque_next[4][2];

unsigned char Game_area2[32][10];

signed char next2,actual2=0;
signed char bloque_actual2[4][2];
char bloque_next2[4][2];

char Enable_2_player = 0;
char recibido;

char rotado=0,rotado2=0;

char mostrar_actual(char i, char j)
{
	char h;
//revisa si debe mostrar el bloque actual...
	if(actual == 0) return 0;
	for (h=0;h<4;h++)
	{
		if ((bloque_actual[h][0]==i) && (bloque_actual[h][1]==j))
			return 1;
	}
	return 0;
}

char mostrar_actual2(char i, char j)
{
	char h;
//revisa si debe mostrar el bloque actual...
	if(actual2 == 0) return 0;
	for (h=0;h<4;h++)
	{
		if ((bloque_actual2[h][0]==i) && (bloque_actual2[h][1]==j))
			return 1;
	}
	return 0;
}

void mostrar_area(void)
{
	setArea(2,81,2,129);
	char i,j,k,h,color;
	for (j=0;j<10;j++)
		for(h=0;h<8;h++)
			for (i=16;i>0;i--)
			{
				color=Game_area[i-1][j];
				for(k=0;k<8;k++)
					sendData((mostrar_actual(i-1,j))? actual:color);
			}
}

void mostrar_area_1(void)
{
	setArea(80,119,66,129);
	char i,j,k,h,color;
	for (j=0;j<10;j++)
		for(h=0;h<4;h++)
			for (i=16;i>0;i--)
			{
				color=Game_area[i-1][j];
				for(k=0;k<4;k++)
					sendData((mostrar_actual(i-1,j))? actual:color);
			}

}

void mostrar_area_2(void)
{
	setArea(12,51,2,65);
	char i,j,k,h,color;
	for (j=0;j<10;j++)
		for(h=0;h<4;h++)
			for (i=0;i<16;i++)
			{
				color=Game_area2[i][j];
				for(k=0;k<4;k++)
					sendData((mostrar_actual2(i,j))? actual2:color);
			}

}

void clear_area(void)
{
	char i,j;
	for (i=0;i<32;i++)
		for (j=0;j<10;j++)
			{
				Game_area[i][j]=0;
			}
	mostrar_area();
}

void clear_area_1(void)
{
	char i,j;
	for (i=0;i<32;i++)
		for (j=0;j<10;j++)
			{
				Game_area[i][j]=0;
			}
	mostrar_area_1();
}

void clear_area_2(void)
{
	char i,j;
	for (i=0;i<32;i++)
		for (j=0;j<10;j++)
			{
				Game_area2[i][j]=0;
			}
	mostrar_area_2();
}

//las coordenadas estn empaquetadas y en orden mgico para la rotacin
// el HN es fila y el LN es columna
const prog_char coordenadas[8][4]={
	{	0,0,0,0 },
	{	0x10,0x00,0x30,0x20},
	{	0x10,0x00,0x11,0x01},
	{	0x10,0x00,0x21,0x20},
	{	0x11,0x01,0x20,0x21},
	{	0x01,0x00,0x12,0x11},
	{	0x01,0x02,0x10,0x11},
	{	0x10,0x00,0x20,0x11}};

const prog_char colores[8]={0x49,0xE0,0x1C,0x03,0xFC,0xE3,0x1F,0xFF};
//colores bajos se obtiene quitando 0b01101101...

void mostrar_next(void)
{
//debe mostrar el bloque siguiente en un constado de la pantalla...
// 1- borrar el area actual
	int i;
	setArea(100,112-1,50,66-1);
	for(i=0;i<12*16;i++)
		sendData(0x49);
// mostrar en un costadito las coordenadas del siguiente,,, y su color...
	for (i=0;i<4;i++)
	{
		drawRectangle(100+bloque_next[i][1]*4,62-bloque_next[i][0]*4,4,4,pgm_read_byte(&colores[next]));
	}
}


void mostrar_next_1(void)
{
//debe mostrar el bloque siguiente en un constado de la pantalla...
// 1- borrar el area actual
	int i;
	setArea(60,72-1,100,116-1);
	for(i=0;i<12*16;i++)
		sendData(0x49);
// mostrar en un costadito las coordenadas del siguiente,,, y su color...
	for (i=0;i<4;i++)
	{
		drawRectangle(60+bloque_next[i][1]*4,112-bloque_next[i][0]*4,4,4,pgm_read_byte(&colores[next]));
	}
}

void mostrar_next_2(void)
{
//debe mostrar el bloque siguiente en un constado de la pantalla...
// 1- borrar el area actual
	int i;
	setArea(60,72-1,10,26-1);
	for(i=0;i<12*16;i++)
		sendData(0x49);
// mostrar en un costadito las coordenadas del siguiente,,, y su color...
	for (i=3;i!=-1;i--)
	{
		drawRectangle(60+bloque_next2[i][1]*4,22-bloque_next2[i][0]*4,4,4,pgm_read_byte(&colores[next2]));
	}
}

void set_next(void)
{
	char i;
	actual=pgm_read_byte(&colores[next]);
	
	for (i=0;i<4;i++)
	{
		bloque_actual[i][0]=16 + bloque_next[i][0]; // fuera de pantalla
		bloque_actual[i][1]= 5 + bloque_next[i][1]; // en el centro!
	}
	do
		next=(TCNT1 & 7);//jojo funcionar????
	while (next==0); 
	for (i=0;i<4;i++)
	{
		bloque_next[i][0]=(pgm_read_byte(&coordenadas[next][i]) >> 4);
		bloque_next[i][1]=(pgm_read_byte(&coordenadas[next][i]) & 3);
	}
	mostrar_next();
}

void set_next_1(void)
{
	char i;
	actual=pgm_read_byte(&colores[next]);
	
	for (i=0;i<4;i++)
	{
		bloque_actual[i][0]=16 + bloque_next[i][0]; // fuera de pantalla
		bloque_actual[i][1]= 5 + bloque_next[i][1]; // en el centro!
	}
	do
		next=(TCNT1 & 7);//jojo funcionar????
	while (next==0);
	for (i=0;i<4;i++)
	{
		bloque_next[i][0]=(pgm_read_byte(&coordenadas[next][i]) >> 4);
		bloque_next[i][1]=(pgm_read_byte(&coordenadas[next][i]) & 3);
	}
	mostrar_next_1();
}

void set_next_2(void)
{
	char i;
	actual2=pgm_read_byte(&colores[next2]);
	
	for (i=0;i<4;i++)
	{
		bloque_actual2[i][0]=16 + bloque_next2[i][0]; // fuera de pantalla
		bloque_actual2[i][1]= 5 + bloque_next2[i][1]; // en el centro!
	}
	do
		next2=(TCNT1 & 7);//jojo funcionar????
	while (next2==0);
	for (i=0;i<4;i++)
	{
		bloque_next2[i][0]=(pgm_read_byte(&coordenadas[next2][i]) >> 4);
		bloque_next2[i][1]=(pgm_read_byte(&coordenadas[next2][i]) & 3);
	}
	mostrar_next_2();
}


void fijar(void)
{
	int x,y;
	for(int i=0;i<4;i++)
	{
		x=bloque_actual[i][1];
		y=bloque_actual[i][0];
		if (y>15) game_over();
		Game_area[y][x]=actual & ~0b01101101;
	}
	actual=0;
	inc_score_1();
	push_bgm(tiru,80);
}

void fijar2(void)
{
	int x,y;
	for(int i=0;i<4;i++)
	{
		x=bloque_actual2[i][1];
		y=bloque_actual2[i][0];
		if (y>15) game_over();
		Game_area2[y][x]=actual2 & ~0b01101101;
	}
	actual2=0;
	inc_score_2_bajo();
	push_bgm(tiru,80);
}

void bajar(void)
{
// primero debe revisar 2 condiciones
// si ya es base o
// si est ocupado...
	char x,y,z;
	if (!actual) return;
	for(z=0;z<4;z++)
	{
	  y=bloque_actual[z][0];
	  if (y==0) break;
	  if (y>15) continue;
	  x=bloque_actual[z][1];
	  if (Game_area[y-1][x]!=0) break;
	}
	if (z!=4) fijar();
	else
//debe bajar las coordenadas de filas
		for(z=0;z<4;z++)
			bloque_actual[z][0]--;
}

void bajar2(void)
{
// primero debe revisar 2 condiciones
// si ya es base o
// si est ocupado...
	char x,y,z;
	if (!actual2) return;
	for(z=0;z<4;z++)
	{
	  y=bloque_actual2[z][0];
	  if (y==0) break;
	  if (y>15) continue;
	  x=bloque_actual2[z][1];
	  if (Game_area2[y-1][x]!=0) break;
	}
	if (z!=4) fijar2();
	else
//debe bajar las coordenadas de filas
		for(z=0;z<4;z++)
			bloque_actual2[z][0]--;
}

void rotar(void)
{
	char i,x0,y0,z, temp;
	signed char x,y;
	char bloque_temp[4][2];
// debe preguntar si puede rotar...
//luego la magia...
	if (!actual)  return;
	if (!(pressed & BOTON_A) || !(pressed & BOTON_F))
	{
		if (rotado) return;
		y0=bloque_actual[0][0]; // del primero
		x0=bloque_actual[0][1]; // del primer bloque
		//;i=1+(j-j0)+i0
		//;j=2-(i-i0)+j0 = 0 + i0 +j0 -i
		for (z=0;z<4;z++)
		{
			bloque_temp[z][0] = x0+y0 - bloque_actual[z][1] + 1;
			bloque_temp[z][1] = bloque_actual[z][0] +x0 -y0;
			y= bloque_temp[z][0];
			if (y>15) continue;
			x = bloque_temp[z][1];
			if (x<0) return;
			if (x>9) return;
			if (Game_area[y][x]!=0) return;
		}
		for(z=0;z<4;z++)
		{
			bloque_actual[z][0] = bloque_temp[z][0];
			bloque_actual[z][1] = bloque_temp[z][1];
		}
		//volteo...
		for (i=0;i<2;i++)
			for (z=0;z<2;z++)
			{
				temp = bloque_actual[z][i];
				bloque_actual[z][i] = bloque_actual[3-z][i];
				bloque_actual[3-z][i] = temp;
			}
		rotado=1;
	}
	else
		rotado=0;
}

void rotar2(void)
{
	char i,x0,y0,z, temp;
	signed char x,y;
	char bloque_temp[4][2];
// debe preguntar si puede rotar...
//luego la magia...
	if (!actual2)  return;
	if (!(pressed2 & BOTON_A) || !(pressed2 & BOTON_F))
	{
		if (rotado2) return;
		y0=bloque_actual2[0][0]; // del primero
		x0=bloque_actual2[0][1]; // del primer bloque
		//;i=1+(j-j0)+i0
		//;j=2-(i-i0)+j0 = 0 + i0 +j0 -i
		for (z=0;z<4;z++)
		{
			bloque_temp[z][0] = x0+y0 - bloque_actual2[z][1] + 1;
			bloque_temp[z][1] = bloque_actual2[z][0] +x0 -y0;
			y= bloque_temp[z][0];
			if (y>15) continue;
			x = bloque_temp[z][1];
			if (x<0) return;
			if (x>9) return;
			if (Game_area2[y][x]!=0) return;
		}
		for(z=0;z<4;z++)
		{
			bloque_actual2[z][0] = bloque_temp[z][0];
			bloque_actual2[z][1] = bloque_temp[z][1];
		}
		//volteo...
		for (i=0;i<2;i++)
			for (z=0;z<2;z++)
			{
				temp = bloque_actual2[z][i];
				bloque_actual2[z][i] = bloque_actual2[3-z][i];
				bloque_actual2[3-z][i] = temp;
			}
		rotado2=1;
	}
	else
		rotado2=0;
}

char preguntar_izq_der(char izqder)
{
	signed char x,y,z;
	
		for(z=0;z<4;z++)
		{
			y= bloque_actual[z][0];
			if (y>15) continue;
			x = bloque_actual[z][1] +izqder;
			if (x<0) return 1;
			if (x>9) return 1;
			if (Game_area[y][x]!=0) return 1;
		}
	return 0;
}

char preguntar_izq_der2(char izqder)
{
	signed char x,y,z;
	
		for(z=0;z<4;z++)
		{
			y= bloque_actual2[z][0];
			if (y>15) continue;
			x = bloque_actual2[z][1] +izqder;
			if (x<0) return 1;
			if (x>9) return 1;
			if (Game_area2[y][x]!=0) return 1;
		}
	return 0;
}

void mover_izq_der(void)
{
	char z;
//pregunta si debe y si puede moverse de izq a derecha...
	if (!actual)  return;
	if (!(pressed & BOTON_D))
	{
		if (preguntar_izq_der(-1)) return;
		for(z=0;z<4;z++)
			bloque_actual[z][1]--;
		return;
	}
	if (!(pressed & BOTON_I))
	{
		if (preguntar_izq_der(+1)) return;
		for(z=0;z<4;z++)
			bloque_actual[z][1]++;
		return;
	}
	movido=0;
}

void mover_izq_der2(void)
{
	char z;
//pregunta si debe y si puede moverse de izq a derecha...
	if (!actual2)  return;
	if (!(pressed2 & BOTON_I))
	{
		if (preguntar_izq_der2(-1)) return;
		for(z=0;z<4;z++)
			bloque_actual2[z][1]--;
		return;
	}
	if (!(pressed2 & BOTON_D))
	{
		if (preguntar_izq_der2(+1)) return;
		for(z=0;z<4;z++)
			bloque_actual2[z][1]++;
		return;
	}
	movido=0;
}

void borrar_linea(char cual)
{
// si debe borrar es desplzar las lneas hacia abajo...
	char y,x;
	
	for(y=cual;y<15;y++)
		for(x=0;x<10;x++)
			Game_area[y][x]=Game_area[y+1][x];
	for(x=0;x<10;x++)
		Game_area[y][x]=0;
}

void borrar_linea2(char cual)
{
// si debe borrar es desplzar las lneas hacia abajo...
	char y,x;
	
	for(y=cual;y<15;y++)
		for(x=0;x<10;x++)
			Game_area2[y][x]=Game_area2[y+1][x];
	for(x=0;x<10;x++)
		Game_area2[y][x]=0;
}


void revisar_lineas(void)
{
	char borrados,x,y;
// debe revisar si hay lneas ya completas...
	borrados=0;
	for (y=0;y<16;y++)
	{
		for(x=0;x<10;x++)
		  if (Game_area[y][x]==0) break;
		if (x==10) {borrar_linea(y); borrados++; y--;}//volver a revisar
	}
	for(x=0;x<(borrados*borrados)*10;x++)
		inc_score_1();
}

void revisar_lineas2(void)
{
	char borrados,x,y;
// debe revisar si hay lneas ya completas...
	borrados=0;
	for (y=0;y<16;y++)
	{
		for(x=0;x<10;x++)
		  if (Game_area2[y][x]==0) break;
		if (x==10) {borrar_linea2(y); borrados++; y--;}//volver a revisar
	}
	for(x=0;x<(borrados*borrados)*10;x++)
		inc_score_2_bajo();
}

void Tetris(void)
{
	//iniciar varaibles
	clear_score_1();

	putc('T');
	play_bgm(bradinsky,90);
	clearLCD(0x49);
	waitms(10);// suficiente para la respuesta...
	if (kbhit() && (getc()=='R'))
	{
		Enable_2_player=1;

	clear_area_1();
	clear_area_2();
	
	print_score_1();
	print_score_2_bajo();
	next=3;
	set_next_1();
	set_next_1();
	mostrar_next_1();

	next2=3;
	set_next_2();
	set_next_2();
	mostrar_next_2();

	}
	else
	{
		clear_area();
		print_score_1();
		print_high_score();
		next=3;
		set_next();
		set_next();
		mostrar_next();
	
	}

	while(1)
	{
		clear_inputs();
		delay_inputs(75);

		if (Enable_2_player)
		{
			if((pressed & BOTON_B)&& (pressed2 & BOTON_B)) delay_inputs(225);
			if (!actual) set_next_1();
			if (!actual2) set_next_2();
			rotar();
			rotar2();
			mover_izq_der();
			mover_izq_der2();
			bajar();
			bajar2();
			revisar_lineas();
			revisar_lineas2();
			mostrar_area_1();
			mostrar_area_2();
		}
		else
		{
		if(pressed & BOTON_B) delay_inputs(225);
		if (!actual) set_next();
		rotar();
		mover_izq_der();
		bajar();
		revisar_lineas();
		mostrar_area();
		}
	}
}
